Bug 90856 - CONTEXT MENU: Area entry shouldnt appear when right-clicking on a Line
Summary: CONTEXT MENU: Area entry shouldnt appear when right-clicking on a Line
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2015-04-25 04:37 UTC by Yousuf Philips (jay)
Modified: 2017-03-28 06:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-04-25 04:37:59 UTC
Steps:
1) Open Writer or Calc
2) Draw a line
3) Right-click and context menu has 'Area...' entry

This doesnt affect impress or draw. A similar problem happens in the sidebar as the 'Area' section is open.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 1 A (Andy) 2015-04-25 07:04:39 UTC
Reproducible with LO 4.4.2.2, Win 8.1
Comment 2 Robinson Tryon (qubit) 2015-12-13 11:24:27 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) 2016-02-11 23:47:28 UTC
The menu entry is removed in Writer now but still pending in Calc.
Comment 4 Gülşah Köse 2017-03-02 13:29:51 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> The menu entry is removed in Writer now but still pending in Calc.

It seems pending Writer too. LibreOfficeDev 5.4.0.0.alpha0 69dfa8af78cdd9818c9e472552db290870dddc47
Comment 5 Commit Notification 2017-03-03 10:34:54 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5c4e9dec5a67dbb7d5e42e8956d3f9d74c54fcc

tdf#90856 Hide "Format Area" command for line objects in Calc

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-24 08:00:37 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=003fd6b95033a2a0d28e04dec2e756e4c67f9d1a

tdf#90856 Hide "Format Area" command for line objects in Writer

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.